/*! bxs-vue-ui v3.3.0 */
import { f as fails, $, y as entryVirtual } from './entry-virtual.js';
import { x as arrayMethodHasSpeciesSupport } from './normalize-component.js';
import { r as require$$0 } from './array-iteration.js';

var $map = require$$0.map;



var HAS_SPECIES_SUPPORT = arrayMethodHasSpeciesSupport('map');
// FF49- issue
var USES_TO_LENGTH = HAS_SPECIES_SUPPORT && !fails(function () {
  [].map.call({ length: -1, 0: 1 }, function (it) { throw it; });
});

// `Array.prototype.map` method
// https://tc39.github.io/ecma262/#sec-array.prototype.map
// with adding support of @@species
$({ target: 'Array', proto: true, forced: !HAS_SPECIES_SUPPORT || !USES_TO_LENGTH }, {
  map: function map(callbackfn /* , thisArg */) {
    return $map(this, callbackfn, arguments.length > 1 ? arguments[1] : undefined);
  }
});

var map = entryVirtual('Array').map;

var ArrayPrototype = Array.prototype;

var map_1 = function (it) {
  var own = it.map;
  return it === ArrayPrototype || (it instanceof Array && own === ArrayPrototype.map) ? map : own;
};

var map$1 = map_1;

var map$2 = map$1;

export { map$2 as _ };
